summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-20 11:09:27 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-20 11:09:27 +0000
commit9266428e673f793f733cdfb0a4fbf0c28f53b9fa (patch)
treef82595c3bac831059092fc182dc73dbb2660b63c /jenkins
parent8387b5cabca9389f1871f6e135d40e2c98a62d9d (diff)
onsuccess: #765: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1194
-rw-r--r--jenkins/notify-init.log321
-rw-r--r--jenkins/rewrite.log22
-rw-r--r--jenkins/run-build.env8
5 files changed, 1332 insertions, 215 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index f265312..ecf72b6 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#764-glibc-R1
+#765-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index ba4a26b..5a9ba83 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_4
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 4
-+ opts=-p39432
++ opts=-p35367
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p39432 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_4
++ ssh -p35367 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_4 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -70,8 +70,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -81,23 +81,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-aarch64
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/763/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/763/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 '!=' xc06e10c8130358c409c1d2837f8171ef70169d03 ']'
+++ '[' xf5677d9cebb12edcd9301dbb5cf40f82618b46af '!=' x1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ first_bad=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=c06e10c8130358c409c1d2837f8171ef70169d03
++ last_good=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
+ local res
+ res=0
-+ wait 55833
++ wait 67864
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ git -C glibc rev-parse '1c1083a3e48240866cfac595a2d60dfb1e8a1bf1^@'
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ git -C glibc rev-parse 'f5677d9cebb12edcd9301dbb5cf40f82618b46af^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 97a58d885b01ecf432e0d96248556245a232597e = c06e10c8130358c409c1d2837f8171ef70169d03 ']'
-+ return 1
-+ change_kind=single_component
-# Debug traces :
++ '[' 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 = 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 ']'
++ return 0
++ change_kind=single_commit
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# Debug traces :
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ git -C glibc rev-list --count c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ c_commits=2
-# rev for glibc : c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 (2 commits)
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ git -C glibc rev-list --count 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ c_commits=1
+# rev for glibc : 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af (1 commits)
-+ echo '# rev for glibc : c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 (2 commits)'
++ echo '# rev for glibc : 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -235,8 +235,260 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 67944
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=63010c998
+++ '[' 0 -ne 0 ']'
+++ echo 63010c998
++ sha1=63010c998
++ git -C interesting-commits checkout --detach 63010c998
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 98a34ba18 Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 98a34ba18
+
+HEAD is now at 63010c998 Add entry 8971d2788e79db2ffc1205ed36935483eedf2fab from https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-aarch64-build/493/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits init ''
+# update_interesting_commits
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ subdir3=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++ subdir4=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+[detached HEAD e1746e781] Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
++ wait 79945
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -245,15 +497,576 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ isubdir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 80015
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=63010c998
+++ '[' 0 -ne 0 ']'
+++ echo 63010c998
++ sha1=63010c998
++ git -C interesting-commits checkout --detach 63010c998
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ e1746e781 Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> e1746e781
+
+HEAD is now at 63010c998 Add entry 8971d2788e79db2ffc1205ed36935483eedf2fab from https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-aarch64-build/493/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ subdir3=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++ subdir4=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/round-robin-notify.sh: line 1044: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/round-robin-notify.sh: line 1044: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af true
+++ local component=glibc
+++ local sha1=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ describe=glibc-2.38.9000-184-gf5677d9ceb
+++ echo glibc-2.38.9000-184-gf5677d9ceb
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-184-gf5677d9ceb
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-184-gf5677d9ceb'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.8CIGGS2ynN
++ git -C glibc log -n1 f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ tail -n +2
++ head -n 10 /tmp/tmp.8CIGGS2ynN
+++ cat /tmp/tmp.8CIGGS2ynN
+++ wc -l
++ more_lines=-1
++ '[' -1 -gt 0 ']'
++ rm /tmp/tmp.8CIGGS2ynN
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira ']'
++ mkdir interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af true
++++ local component=glibc
++++ local sha1=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
++++ echo glibc-2.38.9000-184-gf5677d9ceb
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-184-gf5677d9ceb
+++ return 0
+++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status-summary.txt
++ echo glibc-2.38.9000-184-gf5677d9ceb: Success
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/commit-log.txt
+++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status.txt
+++ print_icommits_link glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/yaml
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ commit_date='2023-10-20 08:46:09 +0200'
++ date -d '2023-10-20 08:46:09 +0200' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
+++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af false
+++ local component=glibc
+++ local sha1=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ describe=glibc-2.38.9000-184-gf5677d9ceb
++ '[' glibc-2.38.9000-184-gf5677d9ceb '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-184-gf5677d9ceb
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ rm -f interesting-commits/glibc/glibc-2.38.9000-184-gf5677d9ceb
++ ln -s sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af interesting-commits/glibc/glibc-2.38.9000-184-gf5677d9ceb
++ git -C interesting-commits add glibc/glibc-2.38.9000-184-gf5677d9ceb
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+[detached HEAD 88d3b6e10] Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+ 17 files changed, 80 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-184-gf5677d9ceb
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/commit-log.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/components
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/description
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/startdate
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/summary
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status-summary.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/status.txt
++ wait 92333
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -263,11 +1076,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ isubdir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ icommit_entry=interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ '[' interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira ']'
++ rsync -a interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -291,11 +1116,11 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/artifact/artifacts/notify/mail-body.txt/*view*/'
-# print all notification files
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts/notify/mail-body.txt/*view*/'
+ echo '# print all notification files'
+# print all notification files
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -316,17 +1141,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ read -r email
-++ git -C glibc log --pretty=%ae c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ emails["$email"]=cc
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+ read -r email
+++ git -C glibc log --pretty=%ae 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -337,17 +1160,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ read -r email
-++ git -C glibc log --pretty=%ce c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ emails["$email"]=to
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+ read -r email
+++ git -C glibc log --pretty=%ce 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -370,48 +1191,33 @@
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,stli@linux.ibm.com,joseph@codesourcery.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,stli@linux.ibm.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+++ git -C glibc rev-list --count c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af true
++++ local component=glibc
++++ local sha1=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
++++ echo glibc-2.38.9000-184-gf5677d9ceb
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-184-gf5677d9ceb
++ return 0
++ gnu_print_result --oneline
++ false
@@ -426,7 +1232,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -475,21 +1281,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '2 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-184-gf5677d9ceb: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/763/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -538,56 +1344,39 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+++ git -C glibc rev-list --count c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af true
++++ local component=glibc
++++ local sha1=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
++++ echo glibc-2.38.9000-184-gf5677d9ceb
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-184-gf5677d9ceb
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+++ git -C glibc rev-list --count c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ c_commits=2
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ '[' 2 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-184-gf5677d9ceb'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.y1li7hzToA
+++ git -C glibc log -n1 f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ tail -n +2
+++ head -n 10 /tmp/tmp.y1li7hzToA
++++ cat /tmp/tmp.y1li7hzToA
++++ wc -l
+++ more_lines=-1
+++ '[' -1 -gt 0 ']'
+++ rm /tmp/tmp.y1li7hzToA
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -618,7 +1407,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -666,38 +1455,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
+++ '[' -f interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f5677d9cebb12edcd9301dbb5cf40f82618b46af'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ isubdir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
-# post_dashboard_squad
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 55998
++ wait 92477
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index bc5a8d3..d0574ef 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
++ cut -s -d: -f 2
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_4
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
++ cut -s -d: -f 4
-+ opts=-p39432
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ opts=-p35367
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p39432 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_4
++ ssh -p35367 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_4 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_4/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -81,32 +81,32 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-aarch64
# Debug traces :
++ ci_config=master-aarch64
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/763/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/763/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/764/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+# check_source_changes
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 '!=' xc06e10c8130358c409c1d2837f8171ef70169d03 ']'
+++ '[' xf5677d9cebb12edcd9301dbb5cf40f82618b46af '!=' x1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ first_bad=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=c06e10c8130358c409c1d2837f8171ef70169d03
++ last_good=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
+ local res
+ res=0
-+ wait 55720
++ wait 55683
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ git -C glibc rev-parse '1c1083a3e48240866cfac595a2d60dfb1e8a1bf1^@'
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ git -C glibc rev-parse 'f5677d9cebb12edcd9301dbb5cf40f82618b46af^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 97a58d885b01ecf432e0d96248556245a232597e = c06e10c8130358c409c1d2837f8171ef70169d03 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 = 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 ']'
++ return 0
# Debug traces :
+# change_kind=single_commit : glibc
++ change_kind=single_commit
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=c06e10c8130358c409c1d2837f8171ef70169d03
++ base_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-++ git -C glibc rev-list --count c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
-+ c_commits=2
-# rev for glibc : c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 (2 commits)
++ cur_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ git -C glibc rev-list --count 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af
+# rev for glibc : 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af (1 commits)
-+ echo '# rev for glibc : c06e10c8130358c409c1d2837f8171ef70169d03..1c1083a3e48240866cfac595a2d60dfb1e8a1bf1 (2 commits)'
++ c_commits=1
++ echo '# rev for glibc : 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1..f5677d9cebb12edcd9301dbb5cf40f82618b46af (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -231,13 +231,256 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-+ set -euf -o pipefail
# post_interesting_commits
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 55763
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=63010c998
+++ '[' 0 -ne 0 ']'
+++ echo 63010c998
++ sha1=63010c998
++ git -C interesting-commits checkout --detach 63010c998
+Previous HEAD position was e4393001e Add entry 8971d2788e79db2ffc1205ed36935483eedf2fab from https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/513/
+HEAD is now at 63010c998 Add entry 8971d2788e79db2ffc1205ed36935483eedf2fab from https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-aarch64-build/493/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ jira_dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits init ''
+# update_interesting_commits
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ subdir3=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
++ subdir4=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ interesting_subdir glibc f5677d9cebb12edcd9301dbb5cf40f82618b46af tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
++ mkdir -p interesting-commits/glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
++ git -C interesting-commits add glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+[detached HEAD 98a34ba18] Add entry f5677d9cebb12edcd9301dbb5cf40f82618b46af from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/first_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f5677d9cebb12edcd9301dbb5cf40f82618b46af/tcwg_glibc_build/master-aarch64/last_good
++ wait 67773
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index ff27b78..c6ac573 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -d: -f 1
-+ host=tcwg-snow-02
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_4
+ local opts
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 4
-+ opts=-p39432
++ opts=-p35367
+ local env_vars
-++ echo tcwg-snow-02::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p39432:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_4:-p35367:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p39432 tcwg-snow-02 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_4
++ ssh -p35367 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_4 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index e763412..0f6c6f4 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#764"
+build_name="#765"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-snow-02
+tcwg-jade-06
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#764-glibc"
+build_name="#765-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#764-glibc-R1"
+build_name="#765-glibc-R1"